curl --request GET \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/exceptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/exceptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/exceptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exceptionDate": "2023-12-25",
"isClosed": true,
"createdAt": "2023-11-07T05:31:56Z",
"startTime": "<string>",
"endTime": "<string>",
"reason": "<string>"
}
],
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"hasNext": true,
"hasPrevious": true
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"path": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Listar excepciones del horario configurado
Devuelve las excepciones puntuales que alteran la disponibilidad estándar del agente.
Utiliza los parámetros filter y or (ver docs/api-query-builder.md) para limitar por
fecha (exceptionDate), rango, identificadores u otros campos permitidos.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant. Obligatorio al autenticar con Authorization: Bearer, donde su ausencia devuelve 400 Workspace context is required. Con x-api-key es opcional: la llave ya identifica a su workspace y lo que mandes aquí se ignora.
Path Parameters
Identificador del agente
Query Parameters
Expresión de filtros combinados generada con el API Query Builder.
Utiliza funciones como and(...), or(...), eq(...), like(...), etc. Consulta
docs/api-query-builder.md para la gramática completa y ejemplos adicionales.
Expresión string compatible con el API Query Builder. Soporta composición de funciones
(and, or) y operadores (eq, like, between, etc.) para filtrar resultados.
"and(eq(status,\"active\"),like(name,\"%ventas%\"))"
Agrupa condiciones alternativas usando la gramática del API Query Builder.
Expresión string que agrupa condiciones alternativas utilizando or(...) o combinaciones
anidadas junto con and(...) según convenga.
"or(eq(status,\"active\"),eq(status,\"training\"))"
Lista separada por comas de campos a ordenar. Usa prefijo '-' para orden descendente.
"createdAt,-id"
Número de página (>= 1). Por defecto es 1.
x >= 1Tamaño de página (1..100). Por defecto 20.
1 <= x <= 100